AttributeFilter
No description
type AttributeFilter implements IAttributeFilter {
id: String!
searchId: String!
description: String!
type: AttributeType!
isSearchable: Boolean!
isPublic: Boolean!
isHidden: Boolean
textFilter: [AttributeTextFilter!]
integerRangeFilter: AttributeIntegerRangeFilter
decimalRangeFilter: AttributeDecimalRangeFilter
}
Fields
AttributeFilter.id ● String! non-null scalar
The Name or Id of the Atribute as it's defined in the Database
AttributeFilter.searchId ● String! non-null scalar
Lowercased representation of the id with an attr_ prefix that can be used in query parameters. The attr_ prefix is to avoid potential naming conflict with regular product fields
AttributeFilter.description ● String! non-null scalar
The human readable description of the attribute's name. This is a language specific value.
AttributeFilter.type ● AttributeType! non-null enum
The type of the attribute. Possible values: - text - list - enum - enumlist - color - date - datetime - object - integer - decimal
AttributeFilter.isSearchable ● Boolean! non-null scalar
Flags whether this attribute should be used when generating catalog page filters.
AttributeFilter.isPublic ● Boolean! non-null scalar
Flags whether this attribute should be used when generating product specs.
AttributeFilter.isHidden ● Boolean scalar
Flags whether this attribute us hidden and should only be used for background operations.
AttributeFilter.textFilter ● [AttributeTextFilter!] list object
All available attribute text values within this search result for this particulat attribute.
AttributeFilter.integerRangeFilter ● AttributeIntegerRangeFilter object
Minumum and maximum value range for integer attributes
AttributeFilter.decimalRangeFilter ● AttributeDecimalRangeFilter object
Minumum and maximum value range for decimal attributes
Interfaces
IAttributeFilter interface
Member Of
ProductsResponse object ● SparePartsResponse object